com.example.labstatus.ui.CS101

## Class RecyclerViewAdapterBasement

- java.lang.Object
- - androidx.recyclerview.widget.RecyclerView.Adapter<RecyclerViewAdapterBasement.ViewHolder>
  - - com.example.labstatus.ui.CS101.RecyclerViewAdapterBasement

    public class RecyclerViewAdapterBasement
    extends androidx.recyclerview.widget.RecyclerView.Adapter<RecyclerViewAdapterBasement.ViewHolder>

Author:
  Area51

### Nested Class Summary

Nested Classes
`static interface` `RecyclerViewAdapterBasement.ItemListener`
`class` `RecyclerViewAdapterBasement.ViewHolder`

### Field Summary

Fields
`(package private) android.content.Context` `mContext`
`protected RecyclerViewAdapterBasement.ItemListener` `mListener`
`(package private) java.util.ArrayList` `mValues`

### Constructor Summary

Constructors
Constructor and Description
`RecyclerViewAdapterBasement(android.content.Context context, java.util.ArrayList values, RecyclerViewAdapterBasement.ItemListener itemListener)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getItemCount()`
`void` `onBindViewHolder(RecyclerViewAdapterBasement.ViewHolder holder, int position)`
`RecyclerViewAdapterBasement.ViewHolder` `onCreateViewHolder(android.view.ViewGroup parent, int viewType)`

### Methods inherited from class androidx.recyclerview.widget.RecyclerView.Adapter

`bindViewHolder, createViewHolder, getItemId, getItemViewType, hasObservers, hasStableIds, notifyDataSetChanged, notifyItemChanged, notifyItemChanged, notifyItemInserted, notifyItemMoved, notifyItemRangeChanged, notifyItemRangeChanged, notifyItemRangeInserted, notifyItemRangeRemoved, notifyItemRemoved, onAttachedToRecyclerView, onBindViewHolder, onDetachedFromRecyclerView, onFailedToRecycleView, onViewAttachedToWindow, onViewDetachedFromWindow, onViewRecycled, registerAdapterDataObserver, setHasStableIds, unregisterAdapterDataObserver`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mContext

    android.content.Context mContext

#### mListener

    protected RecyclerViewAdapterBasement.ItemListener mListener

#### mValues

    java.util.ArrayList mValues

### Constructor Detail

#### RecyclerViewAdapterBasement

    public RecyclerViewAdapterBasement(android.content.Context context,
                                       java.util.ArrayList values,
                                       RecyclerViewAdapterBasement.ItemListener itemListener)

### Method Detail

#### getItemCount

    public int getItemCount()

Specified by:
  `getItemCount` in class `androidx.recyclerview.widget.RecyclerView.Adapter<RecyclerViewAdapterBasement.ViewHolder>`

#### onBindViewHolder

    public void onBindViewHolder(@NonNull
                                 RecyclerViewAdapterBasement.ViewHolder holder,
                                 int position)

Specified by:
  `onBindViewHolder` in class `androidx.recyclerview.widget.RecyclerView.Adapter<RecyclerViewAdapterBasement.ViewHolder>`

#### onCreateViewHolder

    public RecyclerViewAdapterBasement.ViewHolder onCreateViewHolder(android.view.ViewGroup parent,
                                                                     int viewType)

Specified by:
  `onCreateViewHolder` in class `androidx.recyclerview.widget.RecyclerView.Adapter<RecyclerViewAdapterBasement.ViewHolder>`